class ApplicationController < ActionController::Base
  helper :all # include all helpers, all the time
  helper_method :current_user_session, :current_user, :drazba_probiha, :drazba_pro_tento_rok_skoncena
  
  protect_from_forgery with: :exception # See ActionController::RequestForgeryProtection for details

  def drazba_probiha
    false
  end

  def drazba_pro_tento_rok_skoncena
    true # onvlivnuje texty v items/index
  end
  
  private
    def current_user_session
      return @current_user_session if defined?(@current_user_session)
      @current_user_session = nil #-# UserSession.find
    end

    def current_user
      @current_user = current_user_session && current_user_session.record
    end

    def admin?
     !(current_user.nil?) and ((current_user.id==2) or (current_user.id==86))
    end

    def require_user
      unless current_user
        store_location
        flash[:notice] = "Přihlašte se prosím do systému."
        redirect_to new_user_session_url
        return false
      end
    end
 
    def require_no_user
      if current_user
        store_location
        flash[:notice] = "Tato stránka je přístupná jen pro odhlášené."
        redirect_to root_url
        return false
      end
    end

    def require_administrator
      if admin?
        return true
      else
        redirect_to root_url
        return false
      end
    end

   # storing locations     
    def store_location
      session[:return_to] = request.request_uri
    end
    
    def redirect_back_or_default(default)
      redirect_to(session[:return_to] || default)
      session[:return_to] = nil
    end


end




